package Agent;

import java.util.Hashtable;

/* 
  Struttura che memorizza un agente e la sua classe
  Serve per mandare queste informazioni in rete.
  In questa estensione vengono memorizzate anche tutte
  le classi utilizzate dalla classe spedita
*/

public class AgentPacketEx extends AgentPacket {
 
  // HashTable in cui le chiavi sono i nomi delle classi usate dall'agente
  // e i valori sono i byte delle classi  
  public Hashtable usedClasses;  // ( name, byte[] )
 
  public AgentPacketEx (Agent P, byte[] clBytes, Hashtable uscl) {
    super (P, clBytes);
    usedClasses = uscl;
  }

  // Nel pacchetto e' stata inserita anche la firma dell'ultimo nodo visitato
  public AgentPacketEx (Agent P, byte[] clBytes, Hashtable uscl, byte Firma[]) {
    super (P, clBytes);
    FirmaBytes = Firma;
    usedClasses = uscl;
  }
} 
